(use-modules
 (guix packages)
 (guix git-download)
 (guix download)
 (guix build python-build-system)
 (guix build-system python) 
 (guix build utils)
 (gnu packages python-web)
 (gnu packages python-xyz)
 (gnu packages python-crypto)
 (gnu packages acl))

(define python-pylibacl
  (package
  (name "python-pylibacl")
  (version "0.5.4")
  (source
    (origin
      (method url-fetch)
      (uri (pypi-uri "pylibacl" version))
      (sha256
        (base32
          "0drvxb21y7p0aikcv3jx90vdcjk96kibf9x8qgxic2prxxd3f3q6"))))
  (build-system python-build-system)
  (arguments
    '(#:tests? #f))
  (propagated-inputs
    `(("acl" ,acl)))
  (home-page "http://pylibacl.k1024.org/")
  (synopsis "POSIX.1e ACLs for python")
  (description "POSIX.1e ACLs for python")
  (license #f)))

(define metadata-collect-agent
  (package
    (name "metadata-collect-agent")
    (version "0.1")
    (source
     (origin
       (method git-fetch)
       (uri (git-reference
              (url "https://lab.nexedi.com/nexedi/metadata-collect-agent.git")
              (commit "v0.1")))
       (sha256
        (base32
         "")))) ;; Fill with "Actual hash" of GNU Guix error
    (build-system python-build-system)
    (arguments
     '(#:tests? #f))
    (propagated-inputs
     `(("python-urllib3" ,python-urllib3)
       ("python-psutil" ,python-psutil)
       ("python-msgpack" ,python-msgpack)
       ("python-pylibacl" ,python-pylibacl)
       ("python-certifi" ,python-certifi)))
    (description "")
    (synopsis "")
    (license #f)
    (home-page "")))

(packages->manifest
 (list metadata-collect-agent))
